﻿Partial Public Class MainPage
    Inherits UserControl
    Dim myTooltip As New ToolTip

    Public Sub New()
        InitializeComponent()
        myTooltip.Placement = System.Windows.Controls.Primitives.PlacementMode.Mouse
        myTooltip.HorizontalOffset = 10
        myTooltip.VerticalOffset = 10
        myTooltip.Width = 200
    End Sub

    Private Sub UserControl_Loaded(sender As System.Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        GcSpreadSheet1.ActiveSheet.RowCount = 15
        GcSpreadSheet1.ActiveSheet.ColumnCount = 4
        GcSpreadSheet1.ActiveSheet.Cells(0, 0).Text = "Hover mouse for Tool Tip"
        GcSpreadSheet1.ActiveSheet.Cells(0, 1).Text = "Showing Cell Text"
        GcSpreadSheet1.ActiveSheet.Cells(1, 0).Text = "Show longer text in Tool Tip"
        GcSpreadSheet1.ActiveSheet.Cells(1, 1).Text = "Component One Spread Sheet"
        GcSpreadSheet1.ActiveSheet.Columns(0).Width = 150
        GcSpreadSheet1.ActiveSheet.Rows(0, 3).Height = 30
    End Sub

    Private Sub GcSpreadSheet1_MouseMove(sender As Object, e As System.Windows.Input.MouseEventArgs) Handles GcSpreadSheet1.MouseMove
        Dim p As Point
        p = e.GetPosition(GcSpreadSheet1)
        Dim info As GrapeCity.Windows.SpreadSheet.UI.HitTestInformation
        info = GcSpreadSheet1.HitTest(p.X, p.Y)
        myTooltip.IsOpen = False
        If info.HitTestType = GrapeCity.Windows.SpreadSheet.UI.HitTestType.Viewport AndAlso info.ViewportInfo IsNot Nothing Then
            Dim cellText As String = GcSpreadSheet1.ActiveSheet.Cells(info.ViewportInfo.Row, info.ViewportInfo.Column).Text
            If cellText <> "" Then
                myTooltip.Content = cellText
                myTooltip.IsOpen = True
            End If
        End If












    End Sub
End Class